#!/bin/bash

cd /esarchive/obs/argo/bgc/original_files
[[ ! -f argo_bio-traj_index.txt ]] && wget -np ftp://ftp.ifremer.fr/ifremer/argo/argo_bio-traj_index.txt
list=argo_bio-traj_index.txt
ftpbasedir=ftp://ftp.ifremer.fr/ifremer/argo/dac/
for f in $( cat $list | awk -F"," '{print $1}' | grep -v csiro | grep -v incois ); do
  if [[ -f ftp.ifremer.fr/dac/$(echo $f | cut -f1- -d"/" | sed  s/_BRtraj/_Rtraj/g) ]]; then
     [[ ! -f ftp.ifremer.fr/dac/$f ]] && wget -x -np --cut-dirs=2 $ftpbasedir/$f
     echo $f >> list-bio-traj-downloaded.txt
  else
     echo "$f not downloaded because corresponding physical file is not present" >> list-bio-traj-discarded.txt
  fi
done

 

